description: "Installer for Gothic 2 - Odyssee including Ninja mod support"
game_slug: gothic-ii-gold-edition
gogslug: gothic_2_gold_edition
installer_slug: gothic2-gog
name: "Gothic II - Odyssee"
slug: gothic2-gog
gogid: 1207658718
version: GOG
year: 2003
notes:
  "Hassle free installer of Gothic 2 GOG version with Odyssee mod. Click \"Continue\" button in\
  \ any pop-up during the installation. Please be patient, some steps take time to\
  \ execute."
runner: wine
script:
  files:
    - setup: N/A:Select the GOG game setup file
    - exe:
        filename: Odyssee-2.7.3.3-Setup.exe
        url: https://www.worldofgothic.de/download.php?id=1367
    - bin1:
        filename: Odyssee-2.7.3.3-Setup-1.bin
        url: https://www.worldofgothic.de/download.php?id=1368
    - bin2:
        filename: Odyssee-2.7.3.3-Setup-2.bin
        url: https://www.worldofgothic.de/download.php?id=1369
    - bin3:
        filename: Odyssee-2.7.3.3-Setup-3.bin
        url: https://www.worldofgothic.de/download.php?id=1377
    - bin4:
        filename: Odyssee-2.7.3.3-Setup-4.bin
        url: https://www.worldofgothic.de/download.php?id=1394
    - bin5:
        filename: Odyssee-2.7.3.3-Setup-5.bin
        url: https://www.worldofgothic.de/download.php?id=1411
    - ninja: https://github.com/szapp/Ninja/releases/download/v3.1.16/Ninja-3.1.16.exe
  game:
    arch: win32
    exe: $gamesystempath/GothicStarter.exe
    args: -game:Odyssee_Scripte_neue_Sprachausgabe -start
    prefix: $GAMEDIR
  installer:
    - task:
        arch: win32
        description: Creating 32-bit Wine prefix
        install_gecko: false
        install_mono: false
        name: create_prefix
        prefix: $GAMEDIR
    - task:
        app: win7
        arch: win32
        description: "winetricks: win7"
        name: winetricks
        prefix: $GAMEDIR
    - task:
        arch: win32
        args: /SP- /SUPRESSMSGBOXES /LOG /SILENT
        description: Installing Gothic 2
        executable: setup
        name: wineexec
        prefix: $GAMEDIR
    - task:
        app: dotnet40 vcrun2008 vcrun2010 directmusic
        arch: win32
        description: Install wine dependencies. This will take some time.
        name: winetricks
        prefix: $GAMEDIR
    - copy:
        src: exe
        dst: $CACHE
    - copy:
        src: bin1
        dst: $CACHE
    - copy:
        src: bin2
        dst: $CACHE
    - copy:
        src: bin3
        dst: $CACHE
    - copy:
        src: bin4
        dst: $CACHE
    - copy:
        src: bin5
        dst: $CACHE
    - task:
        arch: win32
        description: Install Odyssee
        executable: $CACHE/Odyssee-2.7.3.3-Setup.exe
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - task:
        arch: win32
        description: Install Ninja mod
        executable: ninja
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - write_config:
        data:
          GAME:
            playLogoVideos: 0
            scaleVideos: 1
            subTitles: 1
        description: Updating 'gothic.ini' file
        file: $GAMEDIR/$gamesystempath/GOTHIC.INI
    - write_config:
        data:
          Display:
            Brightness: 1.0
            Rain: 1
            RainEffects: 0
            TextureQuality: 16384
            UIScale: 1.0
            VSync: 1
          FontRendering:
            Enable: 1
          General:
            AllowNormalmaps: 1
            AnimateStaticVobs: 1
            DrawWorldSectionIntersections: 1
            EnableDebugLog: 0
            EnableGodRays: 1
            EnableInactiveFpsLock: 1
            FpsLimit: 60
            SunLightStrength: 1.5
          HBAO:
            Bias: 0.5
            BlurSharpness: 4.0
            EnableBlur: 1
            Enabled: 0
            PowerExponent: 3.0
            Radius: 1.0
            SsaoBlurRadius: 1
            SsaoStepCount: 0
          SMAA:
            Enabled: 1
            SharpenFactor: 0.2
          Shadows:
            EnableDynamicLighting: 1
            EnableShadows: 1
            EnableSoftShadows: 1
            PointlightShadows: 2
            ShadowAOStrength: 0.5
            ShadowMapSize: 2048
            ShadowStrength: 0.4
            SmoothCameraUpdate: 1
            WorldAOStrength: 0.5
            WorldShadowRangeScale: 8.0
        description: Updating GD3D11 config
        file: $GAMEDIR/$gamesystempath/GD3D11/UserSettings.ini
  variables:
    gamedatapath: drive_c/GOG Games/Gothic 2 Gold/Data
    gamepath: drive_c/GOG Games/Gothic 2 Gold
    gamesystempath: drive_c/GOG Games/Gothic 2 Gold/system
  wine:
    overrides:
      ddraw: n,b
      dsound: b,n
